## nim 1.6.14

=== debian/changelog ===
nim (1.6.14-3) unstable; urgency=medium

  * Bump version to upload source-only

 -- Federico Ceratto <federico@debian.org>  Thu, 25 Apr 2024 21:32:48 +0200

nim (1.6.14-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Add hurd-amd64 case.

  [ Federico Ceratto ]
  * Drop libssl3 build dep (Closes: #1065904)

 -- Federico Ceratto <federico@debian.org>  Wed, 10 Apr 2024 18:18:55 +0200

nim (1.6.14-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 29 Jun 2023 12:09:29 +0100
