=== debian/control ===
Source: nim
Section: devel
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 13),
 help2man (>= 1.46.4),
 libpcre3,
 libssl-dev,
Standards-Version: 4.6.2
Homepage: https://nim-lang.org/
Vcs-Git: https://salsa.debian.org/debian/nim.git
Vcs-Browser: https://salsa.debian.org/debian/nim
Rules-Requires-Root: no

Package: nim
Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 x32
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libpcre3,
Suggests: nim-doc
Recommends: build-essential,
 gcc,
 git
Description: Nim programming language - compiler
 Nim is a statically typed, imperative programming language that generates
 native code via compilation to C. It provides a non-tracing GC, high level
 datatypes and local type inference, and bindings to a lot of C libraries.

Package: nim-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: Nim programming language - documentation
 Nim is a statically typed, imperative programming language that generates
 native code via compilation to C. It provides a non-tracing GC, high level
 datatypes and local type inference, and bindings to a lot of C libraries.
 .
 This is a documentation package.
