## nim 2.2.0

=== debian/changelog ===
nim (2.2.0-1) unstable; urgency=medium

  * QA upload
  * d/copyright: Fix BSD-3-clause
  * Build for any architecture (Closes: #1089673)

  [ xiao sheng wen ]
  * New upstream version 2.2.0
  * d/nim-doc.docs: add install nim/doc/nimdoc.cls
  * d/rules: override_dh_auto_install target update nim-gdb.py install path
  * d/control:
      - Set Maintainer to Debian QA Group for orphaned package
      - Package nim-doc add Multi-Arch: foreign
      - (Build)-Depends: remove obsolete libpcre3 (Closes: #1071691)

  [ Ahmad Khalifa ]
  * Fix fail to build on unstable

 -- Bastian Germann <bage@debian.org>  Thu, 21 Aug 2025 12:43:33 +0200
