=== debian/rules ===
--- 
+++ 
@@ -30,11 +30,14 @@
 	echo "running koch web to generate docs into doc/html"
 	PATH=./bin/:$$PATH ./koch docs --docCmd:skip
 	echo "running koch tools to build nimble, nimsuggest, nimgrep"
-	PATH=./bin/:$$PATH ./koch tools
+	#PATH=./bin/:$$PATH ./koch tools
+	PATH=./bin/:$$PATH ./koch toolsnonimble
+	PATH=./bin/:$$PATH ./koch nimble
 	echo "generating manpages"
 	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nim.1 ./bin/nim
 	help2man --name="Nimsuggest"            -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimsuggest.1 ./bin/nimsuggest
-	help2man --name="Nimgrep"               -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimgrep.1 ./bin/nimgrep
+	#nimgrep relies on old libpcre1 (a.k.a pcre3) at runtime through dlopen()
+	#help2man --name="Nimgrep"               -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimgrep.1 ./bin/nimgrep
 	help2man --name="Nimpretty"             -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimpretty.1 ./bin/nimpretty
 	PATH=./bin/:$$PATH help2man --name="Nim Package Installer" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimble.1 ./bin/nimble
 	echo "running koch distrohelper to generate install.sh"
@@ -51,7 +54,7 @@
 	install -D -m 644 tools/dochack/dochack.nim     debian/tmp/nim/tools/dochack/dochack.nim
 	install -D -m 644 tools/dochack/fuzzysearch.nim debian/tmp/nim/tools/dochack/fuzzysearch.nim
 	install -D -m 644 tools/dochack/dochack.js      debian/tmp/nim/tools/dochack/dochack.js
-	install -D -m 644 tools/nim-gdb.py debian/tmp/nim/tools/nim-gdb.py
+	install -D -m 644 tools/debug/nim-gdb.py debian/tmp/nim/tools/nim-gdb.py
 	# Install docs. There is no version number in the path.
 	install -d debian/html
 	install -D doc/html/*.html doc/html/*.css doc/html/*.js debian/html
@@ -66,6 +69,8 @@
 	rm -f debian/tmp/nim/doc/basicopt.txt debian/tmp/nim/doc/html/overview.html
 	install -D -m 644 doc/nimdoc.css  debian/nim/usr/lib/nim/doc/nimdoc.css
 	rm debian/tmp/nim/doc/nimdoc.css
+	#nimgrep relies on pcre3, skip it until fixed (https://github.com/nim-lang/Nim/issues/23668)
+	rm debian/tmp/nim/bin/nimgrep
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
