## nim 2.2.4

=== dist/nimble/nimble-guide/requirements.txt ===
mkdocs-material>=9.5
mkdocs-git-revision-date-localized-plugin
