=== debian/changelog ===
nim (2.2.4-1) unstable; urgency=medium

  * QA upload

  [ Jeremy Bícha ]
  * New upstream release
  * Refresh patches
  * Remove obsolete patches

  [ Bastian Germann ]
  * Set 64 bit time_t except for i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 Sep 2025 17:56:23 -0400
