=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: nim
 Section: devel
 Priority: optional
-Maintainer: Federico Ceratto <federico@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
  help2man (>= 1.46.4),
- libpcre3,
  libssl-dev,
 Standards-Version: 4.6.2
 Homepage: https://nim-lang.org/
@@ -13,10 +12,9 @@
 Rules-Requires-Root: no
 
 Package: nim
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 x32
+Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libpcre3,
 Suggests: nim-doc
 Recommends: build-essential,
  gcc,
@@ -28,6 +26,7 @@
 
 Package: nim-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: doc
 Description: Nim programming language - documentation
