=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,8 @@
 platform_tr = $(shell { grep '^$(1)\b' debian/platforms.table || echo '	unsupported:$(1)'; } | cut -f2)
 
 NIMFLAGS = $(addprefix --passC:,$(CPPFLAGS)) $(addprefix --passC:,$(CFLAGS)) $(addprefix --passL:,$(LDFLAGS))
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-	# work around https://github.com/nim-lang/Nim/issues/3165
-	NIMFLAGS += --parallelBuild:1
+ifneq ($(DEB_HOST_ARCH),i386)
+	NIMFLAGS += -d:nimUse64BitCTime
 endif
 
 %:
