=== debian/tests/control ===
Test-Command: /usr/bin/nim --version
Restrictions: superficial, allow-stderr
Depends: @

# Simple compilation and run
Test-Command: echo 'echo "Hello world"' > hallo.nim; /usr/bin/nim c -r hallo.nim
Restrictions: allow-stderr
Depends: @, build-essential

# doc generation test
#Test-Command: /usr/bin/nim doc --index:on examples/hallo.nim
#Restrictions: allow-stderr
#Depends: @

#Test-Command: ./koch tests cat async
#Restrictions: superficial, allow-stderr
#Depends: @, build-essential
