=== debian/watch ===
version=4

https://nim-lang.org/install_unix.html /download/nim-(\d+.\d+.\d+)\.tar\.xz

## Match nightly using "rc" for release candidate version e.g.:
## https://github.com/nim-lang/nightlies/releases/download/2020-11-28-version-1-4-74c687e395c946111652c7bef4780b0aa2391cbf/nim-1.4.1.tar.xz
#opts="filenamemangle=s/^(.*)(\d+\.\d+\.\d+).*\.tar\.xz/nim-$2rc1\.tar\.xz/, \
#  versionmangle=s/(\d)$/$1~rc1/" \
#  https://github.com/nim-lang/nightlies/releases .*version-1.*74c687e.*/nim-(\d+.\d+.\d+)\.tar\.xz
